> ## Documentation Index
> Fetch the complete documentation index at: https://docs.selfbook.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rate Verification

> Returns pricing and complete terms for a rate.



## OpenAPI

````yaml post /rest/v1/hotel/rate_verification
openapi: 3.0.4
info:
  title: Selfbook Travel API
  version: '1.0'
  description: |
    This is the OpenAPI specification for `Selfbook Travel API`.
servers:
  - url: https://sandbox.travel.selfbook.com
    description: Sandbox server
  - url: https://travel.selfbook.com
    description: Production
security: []
paths:
  /rest/v1/hotel/rate_verification:
    post:
      description: Returns pricing and complete terms for a rate.
      operationId: RateVerification
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                booking_code:
                  description: Unique booking code
                  example: 2QN57JU
                  type: string
                chain_code:
                  description: Hotel chain code
                  example: HI
                  type: string
                channel_code:
                  description: Channel code
                  example: SBT1
                  type: string
                check_in_date:
                  description: ISO 8601
                  example: '2024-05-20'
                  type: string
                check_out_date:
                  description: ISO 8601
                  example: '2024-05-25'
                  type: string
                guests:
                  description: Number of guests
                  type: object
                  properties:
                    adults:
                      description: Number of adults
                      type: integer
                      example: 1
                    children:
                      description: Number of children
                      type: integer
                  required:
                    - adults
                property_code:
                  description: Hotel property code
                  example: E8597
                  type: string
              required:
                - booking_code
                - chain_code
                - channel_code
                - check_in_date
                - check_out_date
                - guests
                - property_code
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  booking_code:
                    description: Unique booking code.
                    example: 2QN57JU
                    type: string
                  channel_code:
                    description: Channel code.
                    example: SBT1
                    type: string
                  check_in_date:
                    description: ISO 8601.
                    example: '2024-05-20'
                    type: string
                  check_out_date:
                    description: ISO 8601.
                    example: '2024-05-25'
                    type: string
                  hotel:
                    type: object
                    properties:
                      chain_code:
                        description: Alphanumeric, hotel chain code.
                        example: HI
                        type: string
                      name:
                        description: Hotel name.
                        example: Holiday Inn
                        type: string
                      property_code:
                        description: Alphanumeric, hotel property code.
                        example: E8597
                        type: string
                  max_occupancy:
                    description: The max occupancy of the room.
                    example: 3
                    type: integer
                  price:
                    type: object
                    properties:
                      base_price:
                        description: Base price.
                        type: number
                        example: 139
                      total_price:
                        description: Total price.
                        type: number
                        example: 166.48
                      total_taxes:
                        description: Total taxes.
                        type: number
                        example: 25.24
                      additional_fees:
                        description: Additional fees.
                        type: number
                        example: 2.24
                      currency_code:
                        description: Currency code.
                        type: string
                        example: USD
                      fees:
                        description: Array of fee breakdown.
                        type: array
                        items:
                          type: object
                          properties:
                            amount:
                              description: Amount in tax.
                              example: 2.24
                              type: string
                            currency_code:
                              description: Currency code.
                              type: string
                              example: USD
                            description:
                              description: Describes the reason for the fee.
                              example: National government tax
                              type: string
                            included_in_base:
                              description: Is the fee included in base?
                              example: false
                              type: boolean
                            included_in_total:
                              description: Is the fee included in total?
                              example: false
                              type: boolean
                      taxes:
                        description: Array of tax breakdown.
                        type: array
                        items:
                          type: object
                          properties:
                            amount:
                              description: Amount in tax.
                              example: 25.24
                              type: string
                            currency_code:
                              description: Currency code.
                              type: string
                              example: USD
                            description:
                              description: Describes the reason for the tax.
                              example: State Tax
                              type: string
                            included_in_base:
                              description: Is the fee included in base?
                              example: false
                              type: boolean
                  terms:
                    type: array
                    items:
                      description: Rate terms and conditions.
                      type: object
                      properties:
                        accepted_credit_cards:
                          description: >-
                            Array of accepted credit cards for this room and
                            rate. AX - American Express, CA - Mastercard, DC -
                            Diners Club, VI - Visa
                          example:
                            - AX
                            - CA
                            - DC
                            - VI
                          type: array
                          items:
                            description: Two-character credit card code.
                            example:
                              - AX
                              - CA
                              - DC
                              - VI
                            type: string
                        cancel_penalties:
                          description: Penalties for cancellation.
                          type: array
                          items:
                            type: object
                            properties:
                              cancel_short_description:
                                description: >-
                                  Short description of the cancellation policy
                                  and penalties.
                                type: string
                                example: >-
                                  An estimated cancellation fee of 177.44 USD
                                  applies starting from
                                  2024-09-17T00:00-05:00[America/Chicago].
                              deadline_local:
                                description: >-
                                  Local date time deadline for when the
                                  cancellation fee will be enforced.
                                type: string
                                example: '2024-09-17T00:00:00-05:00'
                              penalty:
                                description: Object describing the penalty amount.
                                type: object
                                properties:
                                  currency_amount:
                                    description: Amount of currency for the penalty
                                    type: object
                                    properties:
                                      amount:
                                        description: Amount
                                        type: number
                                        example: 177.44
                                      currency:
                                        description: Currency code
                                        type: string
                                        example: USD
                                  estimated_amount:
                                    description: Is the penalty amount estimated?
                                    type: boolean
                                    example: false
                              refundable:
                                description: Is the rate refundable?
                                example: true
                                type: boolean
                        deposit_policies:
                          description: Deposit details related to this booking.
                          example: {}
                          type: object
                          properties:
                            amount:
                              description: Amount
                              type: number
                              example: 177.44
                            currency_code:
                              description: Currency code
                              type: string
                              example: USD
                            date:
                              description: Date deposit must be received.
                              type: string
                              example: '2024-09-17T00:00:00-05:00'
                            included_in_total:
                              description: Is the amount included in the total?
                              example: false
                              type: boolean
                        description:
                          description: Free-form text for room and rate description
                          example:
                            - Flexible Rate
                            - 1 King Mobility Accessible With/Bathtub
                          type: array
                          items:
                            description: Room or rate description
                            example: 1 King Mobility Accessible With/Bathtub
                            type: string
                        guarantee_type:
                          description: Array of guarantee types
                          example:
                            - DepositRequired
                          type: array
                          items:
                            description: Type of guarantee required
                            example: DepositRequired
                            type: string
                        rate_payment_info:
                          description: Type of rate payment (usually PrePay or PostPay)
                          type: string
                          example: PrePay
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          $ref: '#/components/responses/REST-401'
        '403':
          $ref: '#/components/responses/REST-403'
        '404':
          $ref: '#/components/responses/REST-404'
      security:
        - BasicAuthentication: []
components:
  schemas:
    Error:
      type: object
      properties:
        code:
          type: integer
          description: Numeric error code.
          example: 2001
        details:
          type: array
          description: One or more additional details about error condtion.
          items:
            type: object
            properties:
              message:
                description: A more detailed error message.
                type: string
                example: check_out_date is missing
              field:
                description: >-
                  Included for validation errors. Indicating the path to the
                  problem field.
                type: array
                items:
                  type: string
                  example: check_out_date
        message:
          type: string
          description: A summary of the error.
          example: >-
            Unable to process your request. Missing or invalid request
            parameters.
        type:
          type: string
          enum:
            - APPLICATION_ERROR
            - BOOKING_CANCELLATION_ERROR
            - BOOKING_CREATION_ERROR
            - BOOKING_ERROR
            - PAYMENT_PROCESSING_ERROR
            - VALIDATION
          example: VALIDATION
  responses:
    REST-401:
      description: |
        Unauthorized
        the API key token is missing, invalid, or expired
    REST-403:
      description: |
        Forbidden
        the API key token cannot access the specified resource
    REST-404:
      description: |
        Not Found
        the request resource cannot be found
  securitySchemes:
    BasicAuthentication:
      type: http
      description: |
        Basic authentication where:
          - user-id is a partner account ID
          - user-password is an API key token associated with the partner account
      scheme: basic

````